List the ids of matching customers
const url = 'https://example.com/customers/ids?includeArchived=true&limit=50&offset=0&sort=name&dir=asc&owing=true&kind=commercial&marketing=email&surcharge=add&ordering=stopped&shop=confirmed&activity=returning';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/customers/ids?includeArchived=true&limit=50&offset=0&sort=name&dir=asc&owing=true&kind=commercial&marketing=email&surcharge=add&ordering=stopped&shop=confirmed&activity=returning' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Every match for the same filters as GET /customers, in the same order, up to 5000, with the full count: for selecting all of them across pages.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Search trading name
Search trading name
Only customers whose consent on this channel is granted.
Only customers whose consent on this channel is granted.
Add: on the chosen list for the business surcharge. exclude: on the excluded list.
Add: on the chosen list for the business surcharge. exclude: on the excluded list.
Stopped: orders or deliveries are stopped now, for money owed. rule: set to stop while unpaid, owing or not.
Stopped: orders or deliveries are stopped now, for money owed. rule: set to stop while unpaid, owing or not.
Confirmed: at least one shop sign-in for this customer has a confirmed email. unconfirmed: has a shop sign-in, none confirmed. none: no shop sign-in.
Confirmed: at least one shop sign-in for this customer has a confirmed email. unconfirmed: has a shop sign-in, none confirmed. none: no shop sign-in.
Responses
Section titled “Responses”Ids
object
Example
{ "ids": [ "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" ]}Not signed in
object
Example
{ "error": "not_found", "message": "Customer not found"}Not a member of that tenant
object
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
object
object
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}